Bug 1001113 - Disable or remove USB host controller devices we won't support
Disable or remove USB host controller devices we won't support
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On: 1001216
Blocks: 720747
  Show dependency treegraph
 
Reported: 2013-08-26 10:06 EDT by Markus Armbruster
Modified: 2014-07-29 09:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-29 08:00:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2013-08-26 10:06:10 EDT
The following USB host controller devices should be removed or made unavailable with -device / device_add:

name "exynos4210-ehci-usb", bus System
name "xlnx,ps7-usb", bus System
name "vt82c686b-usb-uhci", bus PCI
name "piix4-usb-uhci", bus PCI

How reproducible:
Always

Steps to Reproduce:
1. for X in the above devices: -device X

Actual results:
-device X is accepted

Expected results:
-device X is rejected, just like -device nonexistant

Additional info:
Equally unwanted pci-ohci, sysbus-ohci are tracked seperately (bug 903914).
Comment 3 Markus Armbruster 2014-04-29 08:00:15 EDT
The time for cutting unwanted devices has passed.  We'll have to live with these, just as in RHEL-6.
Comment 4 Markus Armbruster 2014-07-29 09:04:25 EDT
Clarification on WONTFIX: "exynos4210-ehci-usb" and "xlnx,ps7-usb" are actually gone (fix for bug 1001216 got rid of them).  Only "vt82c686b-usb-uhci" and "piix4-usb-uhci" are still around.

Note You need to log in before you can comment on or make changes to this bug.